/* stylelint-disable */
// Function returns color from the Color Palette ($palette map)

@function get-color-from($map, $colorName) {
    @if map-has-key($map, $colorName) == false {
        @warn There is no such color '#{$colorName}';
        @return null;
    } @else {
        @return map-get($map, $colorName);
    }
}

// Function searches for a color in both color palettes

@function color($colorName) {
    @if map-has-key($palette, $colorName) {
        @return get-color-from($palette, $colorName);
    } @else if map-has-key($semantic_colors, $colorName) {
        @return get-color-from($semantic_colors, $colorName);
    } @else {
        @warn There is no such color '#{$colorName}';
        @return null;
    }
}

$palette: (
    red:             #ed1c24,
    black:           #000000,
    black-1:         #242424,
    white:           #fff,
    white-1:         #fafafa,

    code-color:      #bef264,
    code-bg:         #1e293b,

    link:            #00a69b,
    link-hover:      #0056b3,

    blue-sidebar:    #0F172A,

    gray-1:          #dfdfdf,
    gray-2:          rgba(223, 223, 223, 0.2),
    gray-3:          #f3f3f3, 
    gray-4:          #bababa,

    orange:          #ff6a00,
    yellow:          #fff200,
    green:           #80b023,
    
    transparent:     transparent,
    disabled:        #bab9b3,
);


:root {
    --color-error:    #{color(red)};
    --border-color: #{color(gray-1)};
    
    //# Dark/Light color variables
    --inverse-color-b-w: #{color(black-1)};

    --main-bg: #{color(white-1)};
    --color-text:     #151515;
} 
 
:root.m-dark-scheme { 
    --color-error:    #{color(red)};
    --border-color: #{color(gray-1)};

    //# Dark/Light color variables
    --inverse-color-b-w: #{color(white-1)};

    --main-bg: #{color(black-1)};
    --color-text:     #{color(white-1)};
}


$semantic_colors: (
    black:                     color(black),
    white:                     color(white),
    none:                      color(transparent),
    green:                     color(green),
    //# Core semantic colors
    main:                      var(--color-main),
    error:                     var(--color-error),
    text:                      color(black),
    text_hover:                color(black),
    error-color:               #fae1e2
);
/* stylelint-enable */
